OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.GeometryShader4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGeometryShader4 :: MonadIO m => m Bool
- gl_ARB_geometry_shader4 :: Bool
- gl_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB :: GLenum
- gl_GEOMETRY_INPUT_TYPE_ARB :: GLenum
- gl_GEOMETRY_OUTPUT_TYPE_ARB :: GLenum
- gl_GEOMETRY_SHADER_ARB :: GLenum
- gl_GEOMETRY_VERTICES_OUT_ARB :: GLenum
- gl_LINES_ADJACENCY_ARB :: GLenum
- gl_LINE_STRIP_ADJACENCY_ARB :: GLenum
- gl_MAX_GEOMETRY_OUTPUT_VERTICES_ARB :: GLenum
- gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB :: GLenum
- gl_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB :: GLenum
- gl_MAX_GEOMETRY_VARYING_COMPONENTS_ARB :: GLenum
- gl_MAX_VARYING_COMPONENTS :: GLenum
- gl_MAX_VERTEX_VARYING_COMPONENTS_ARB :: GLenum
- gl_PROGRAM_POINT_SIZE_ARB :: GLenum
- gl_TRIANGLES_ADJACENCY_ARB :: GLenum
- gl_TRIANGLE_STRIP_ADJACENCY_ARB :: GLenum
- glFramebufferTextureARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTextureFaceARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLenum -> m ()
- glFramebufferTextureLayerARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glProgramParameteriARB :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetARBGeometryShader4 :: MonadIO m => m Bool

Is the ARB_geometry_shader4 extension supported?

gl_ARB_geometry_shader4 :: Bool

Is the ARB_geometry_shader4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGeometryShader4` in those cases instead.

# Enums

gl_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB :: GLenum

gl_GEOMETRY_INPUT_TYPE_ARB :: GLenum

gl_GEOMETRY_OUTPUT_TYPE_ARB :: GLenum

gl_GEOMETRY_SHADER_ARB :: GLenum

gl_GEOMETRY_VERTICES_OUT_ARB :: GLenum

gl_LINES_ADJACENCY_ARB :: GLenum

gl_LINE_STRIP_ADJACENCY_ARB :: GLenum

gl_MAX_GEOMETRY_OUTPUT_VERTICES_ARB :: GLenum

gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB :: GLenum

gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB :: GLenum

gl_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB :: GLenum

gl_MAX_GEOMETRY_VARYING_COMPONENTS_ARB :: GLenum

gl_MAX_VARYING_COMPONENTS :: GLenum

gl_MAX_VERTEX_VARYING_COMPONENTS_ARB :: GLenum

gl_PROGRAM_POINT_SIZE_ARB :: GLenum

gl_TRIANGLES_ADJACENCY_ARB :: GLenum

gl_TRIANGLE_STRIP_ADJACENCY_ARB :: GLenum

# Functions

glFramebufferTextureARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTexture`.

glFramebufferTextureFaceARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `face` of type TextureTarget.
-> m () |

glFramebufferTextureLayerARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTextureLayer`.

glProgramParameteriARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type `ProgramParameterPName`.
-> GLint | `value`.
-> m () |

This command is an alias for `glProgramParameteri`.